"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var React = require("react");
var emotion_1 = require("emotion");
var FaIcon = /** @class */ (function (_super) {
    __extends(FaIcon, _super);
    function FaIcon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FaIcon.prototype.render = function () {
        var _a = this.props, name = _a.name, className = _a.className, style = _a.style, size = _a.size, fixedWidth = _a.fixedWidth, pullLeft = _a.pullLeft, spin = _a.spin, onClick = _a.onClick;
        var classNames = "fa";
        classNames += " fa-" + name;
        if (size) {
            classNames += " fa-" + size;
        }
        if (fixedWidth) {
            classNames += " fa-fw";
        }
        if (pullLeft) {
            classNames += " fa-pull-left";
        }
        if (spin) {
            classNames += " fa-spin";
        }
        classNames = className ? emotion_1.cx(classNames, className) : classNames;
        return React.createElement("i", { style: style, className: classNames, "aria-hidden": "true", onClick: onClick });
    };
    return FaIcon;
}(React.Component));
exports["default"] = FaIcon;
